Skip to content
Pile
Esc
navigateopen⌘Jpreview

List notifications

GET/workspaces/{organizationId}/notifications
Path parameters
organizationIdstringrequired
Query parameters
unreadOnlystring
Only unread notifications
snoozedOnlystring
Only snoozed notifications
includeSnoozedstring
Include snoozed notifications
limitstring
Max notifications to return
Responses
200Notifications list
notificationsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
recipientIdstringrequired
recipientTypestringrequired
issueIdstringrequired
typestringrequired
readbooleanrequired
snoozedUntilstring | nullrequired
metadataany | null
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X GET "/workspaces/string/notifications"
Response
{
  "notifications": [
    {
      "id": "string",
      "organizationId": "string",
      "recipientId": "string",
      "recipientType": "string",
      "issueId": "string",
      "type": "string",
      "read": true,
      "snoozedUntil": "string",
      "metadata": null,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}